/*
Copyright © 2025 Jake jake.young.dev@gmail.com
*/
package server

import (
	"errors"

	"code.jakeyoungdev.com/jake/mctl/database"
	"github.com/spf13/cobra"
)

var deleteCmd = &cobra.Command{
	Use:     "delete",
	Example: "mctl server delete <server>",
	Short:   "deletes a server from the database",
	Run: func(cmd *cobra.Command, args []string) {
		db, err := database.New()
		cobra.CheckErr(err)
		defer db.Close()

		err = db.DeleteServer(args[0])
		cobra.CheckErr(err)
	},
	PreRunE: func(cmd *cobra.Command, args []string) error {
		if len(args) == 0 {
			return errors.New("server parameter missing")
		}
		return nil
	},
}

func init() {
	ServerCmd.AddCommand(deleteCmd)
}
